# $Revision: 1.6 $, $Date: 2010/07/08 08:04:21 $
Summary:	Colubrid - lightweight WSGI publisher
Summary(pl.UTF-8):	Colubrid - lekki moduł do publikowania WSGI
Name:		python-Colubrid
Version:	0.10
Release:	2
Group:		Development/Languages/Python
License:	GPL
Source0:	http://wsgiarea.pocoo.org/colubrid/dist/Colubrid-%{version}.tar.gz
# Source0-md5:	ce52e81d8971a22064e1418064dcb700
URL:		http://wsgiarea.pocoo.org/colubrid/
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.a9.1
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Colubrid is a WSGI publisher which simplifies Python web developement.
If you've ever created a WSGI application without a framework of an
request handler you know how hard this can be. For the full feature
list have a look at the Features
(http://wsgiarea.pocoo.org/colubrid/features/) page.

%description -l pl.UTF-8
Colubrid to moduł do publikowania WSGI ułatwiający tworzenie WWW w
Pythonie. Ci, którzy stworzyli kiedykolwiek aplikację WSGI bez
szkieletu procedury obsługi żądań, wiedzą, jakie to może być trudne.
Pełna lista możliwości jest na stronie Features
(http://wsgiarea.pocoo.org/colubrid/features/).

%prep
%setup -q -n Colubrid-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir}/colubrid -name \*.py -exec rm -f \{\} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/Colubrid*
%{py_sitescriptdir}/colubrid*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n python-Colubrid
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Colubrid.spec,v $
Revision 1.6  2010/07/08 08:04:21  arekm
- release 2

Revision 1.5  2009/03/15 16:35:12  duddits
- up to 0.10

Revision 1.4  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.2  2006/05/11 22:21:47  qboosh
- pl

Revision 1.1  2006/05/06 20:52:16  radzio
- initial release
